##
##  zsh.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         zsh
Summary:      Z-Shell
URL:          http://www.zsh.org/
Vendor:       Paul Falstad
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Shell
License:      BSD-style
Version:      4.0.6
Release:      20020913

#   list of sources
Source0:      ftp://ftp.zsh.org/pub/zsh/zsh-%{version}.tar.bz2

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020416
PreReq:       OpenPKG, openpkg >= 20020416
AutoReq:      no
AutoReqProv:  no

%description
    Zsh is a shell designed for interactive use, although it is also a
    powerful scripting language. Many of the useful features of bash,
    ksh, and tcsh were incorporated into zsh; many original features
    were added.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --enable-etcdir=%{l_prefix}/etc/zsh \
        --disable-dynamic
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/zsh
    for rc in zshenv zshrc zprofile zlogin zlogout; do
        %{l_shtool} install -c -m 644 /dev/null \
            $RPM_BUILD_ROOT%{l_prefix}/etc/zsh/$rc
    done
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/zsh-*
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ ".$1" = .1 ]; then
        if [ -f /etc/shells ]; then
            if [ ".`grep $RPM_INSTALL_PREFIX/bin/zsh /etc/shells`" = . ]; then
                ( echo "Hint: To use $RPM_INSTALL_PREFIX/bin/zsh as the login"
                  echo "shell for users, please add this path to /etc/shells."
                ) | %{l_rpmtool} msg -b -t notice
            fi
        fi
    fi

